package com.hw.mes.service;

import java.util.List;
import com.hw.mes.domain.MesBaseProcessInfo;

/**
 * 工序信息Service接口
 * 
 * @author Yinq
 * @date 2024-01-24
 */
public interface IMesBaseProcessInfoService 
{
    /**
     * 查询工序信息
     * 
     * @param processId 工序信息主键
     * @return 工序信息
     */
    public MesBaseProcessInfo selectMesBaseProcessInfoByProcessId(Long processId);

    /**
     * 查询工序信息列表
     * 
     * @param mesBaseProcessInfo 工序信息
     * @return 工序信息集合
     */
    public List<MesBaseProcessInfo> selectMesBaseProcessInfoList(MesBaseProcessInfo mesBaseProcessInfo);

    /**
     * 新增工序信息
     * 
     * @param mesBaseProcessInfo 工序信息
     * @return 结果
     */
    public int insertMesBaseProcessInfo(MesBaseProcessInfo mesBaseProcessInfo);

    /**
     * 修改工序信息
     * 
     * @param mesBaseProcessInfo 工序信息
     * @return 结果
     */
    public int updateMesBaseProcessInfo(MesBaseProcessInfo mesBaseProcessInfo);

    /**
     * 批量删除工序信息
     * 
     * @param processIds 需要删除的工序信息主键集合
     * @return 结果
     */
    public int deleteMesBaseProcessInfoByProcessIds(Long[] processIds);

    /**
     * 删除工序信息信息
     * 
     * @param processId 工序信息主键
     * @return 结果
     */
    public int deleteMesBaseProcessInfoByProcessId(Long processId);
}
